# Record Class CSDomain

java.lang.Object
java.lang.Record
com.io7m.certusine.api.CSDomain

Record Components:
  `account` - The acme account
  `domain` - The name used to refer to the domain
  `certificates` - The list of certificates
  `dnsConfigurator` - The DNS configurator for challenges
  `outputs` - The certificate outputs

public record CSDomain(CSAccount account, String domain, Map<String, CSCertificate> certificates, CSDNSConfiguratorType dnsConfigurator, Map<String, CSCertificateOutputType> outputs) extends Record
A domain.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSDomain(CSAccount account, String domain, Map<String, CSCertificate> certificates, CSDNSConfiguratorType dnsConfigurator, Map<String, CSCertificateOutputType> outputs)`
  A domain.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CSAccount`
  `account()`
  Returns the value of the `account` record component.
  `Map<String, CSCertificate>`
  `certificates()`
  Returns the value of the `certificates` record component.
  `CSDNSConfiguratorType`
  `dnsConfigurator()`
  Returns the value of the `dnsConfigurator` record component.
  `String`
  `domain()`
  Returns the value of the `domain` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Map<String, CSCertificateOutputType>`
  `outputs()`
  Returns the value of the `outputs` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CSDomain

    public CSDomain(CSAccount account, String domain, Map<String, CSCertificate> certificates, CSDNSConfiguratorType dnsConfigurator, Map<String, CSCertificateOutputType> outputs)
    A domain.
    Parameters:
      `account` - The acme account
      `domain` - The name used to refer to the domain
      `certificates` - The list of certificates
      `dnsConfigurator` - The DNS configurator for challenges
      `outputs` - The certificate outputs

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### account

    public CSAccount account()
    Returns the value of the `account` record component.
    Returns:
      the value of the `account` record component

  - ### domain

    public String domain()
    Returns the value of the `domain` record component.
    Returns:
      the value of the `domain` record component

  - ### certificates

    public Map<String, CSCertificate> certificates()
    Returns the value of the `certificates` record component.
    Returns:
      the value of the `certificates` record component

  - ### dnsConfigurator

    public CSDNSConfiguratorType dnsConfigurator()
    Returns the value of the `dnsConfigurator` record component.
    Returns:
      the value of the `dnsConfigurator` record component

  - ### outputs

    public Map<String, CSCertificateOutputType> outputs()
    Returns the value of the `outputs` record component.
    Returns:
      the value of the `outputs` record component